Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_QOPPolicy Class Reference

Implementation of the SecurityLevel2::QOPPolicy interface. More...

`#include <QOPPolicy.h>`

Inheritance diagram for TAO_QOPPolicy:

[legend]
Collaboration diagram for TAO_QOPPolicy:

[legend]
List of all members.

## Public Methods
virtual Security::QOP | qop (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
CORBA::Policy Methods
virtual CORBA::PolicyType | policy_type (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual CORBA::Policy_ptr | copy (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual void | destroy (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
## Protected Methods
| TAO_QOPPolicy (Security::QOP qop)
| Constructor.
| ~TAO_QOPPolicy (void)
| Destructor.
## Private Attributes
Security::QOP | qop_
## Friends
class | TAO_Security_PolicyFactory

## Detailed Description

Implementation of the SecurityLevel2::QOPPolicy interface.

This policy can be used to affect the quality of protection (QoP) for invocation on a per-object basis. For example, it can be set as a policy override using the standard CORBA::Object::_set_policy_overrides() method.

This policy can be created by using the CORBA::ORB::create_policy() method by passing it the Security::SecQOPPolicy policy type, and the appropriate Security::QOP enumeration (inserted into a CORBA::Any).

## Constructor & Destructor Documentation

TAO_QOPPolicy::TAO_QOPPolicy | ( | Security::QOP | qop | ) | `[protected]`

| Constructor.

TAO_QOPPolicy::~TAO_QOPPolicy | ( | void |  | ) | `[protected]`

| Destructor. Protected destructor to enforce the fact this class is reference counted, and should not be destroyed using delete() by anything other than the reference counting mechanism.

## Member Function Documentation

CORBA::Policy_ptr TAO_QOPPolicy::copy | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from CORBA::Policy.

void TAO_QOPPolicy::destroy | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from CORBA::Policy.

CORBA::PolicyType TAO_QOPPolicy::policy_type | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from CORBA::Policy.

Security::QOP TAO_QOPPolicy::qop | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Return the Quality-of-Protection value associated with this policy.

## Friends And Related Function Documentation

friend class TAO_Security_PolicyFactory`[friend]`

## Member Data Documentation

Security::QOP TAO_QOPPolicy::qop_`[private]`

| Quality of protection which can be specified for an object reference and used to protect messages.

The documentation for this class was generated from the following files:

- QOPPolicy.h
- QOPPolicy.cpp